| # Apache Tomcat 7 Version 7.0.68, Feb 8 2016 |

Links Docs Home Config Ref. Home FAQ User Comments Top Level Elements Server Service Executors Executor Connectors HTTP AJP Containers Context Engine Host Cluster Nested Components Global Resources JarScanner Listeners Loader Manager Realm Resources SessionIdGenerator Valve Cluster Elements Cluster Manager Channel Channel/Membership Channel/Sender Channel/Receiver Channel/Interceptor Valve Deployer ClusterListener web.xml Filter Other System properties | # The ClusterListener object
Table of Contents
Introduction org.apache.catalina.ha.session.ClusterSessionListener org.apache.catalina.ha.session.JvmRouteSessionIDBinderListener Attributes Common Attributes
Introduction
The `org.apache.catalina.ha.ClusterListener` base class lets you listen in on messages that are received by the `Cluster` component.
org.apache.catalina.ha.session.ClusterSessionListener
When using the DeltaManager, the messages are received by the Cluster object and are propagated to the to the manager through this listener.
org.apache.catalina.ha.session.JvmRouteSessionIDBinderListener
Listens for session Id changes. This listener is only used if you are using mod_jk along with the `jvmRoute` attribute where the session Id can change. In the event of a change, the `JvmRouteBinderValve` will broadcast the session change and it will get picked up by this listener.
Attributes
> Common Attributes
> > Attribute | Description
> > --- | ---
> > `className` |
Comments
Notice: This comments section collects your suggestions on improving documentation for Apache Tomcat. If you have trouble and need help, read Find Help page and ask your question on the tomcat-users mailing list. Do not ask such questions here. This is not a Q&A section. The Apache Comments System is explained here. Comments may be removed by our moderators if they are either implemented or considered invalid/off-topic.
Copyright © 1999-2016, Apache Software Foundation